#include "mbed.h"
#include "ADT7410.h"

ADT7410 tempSens1(I2C_SDA , I2C_SCL, 0x90, 100000);

int main() {
    // reset sensor to default values
    tempSens1.reset();
    
    //read the config register, should be default
    printf("Config: 0x%x\n", tempSens1.getConfig());
    
    // reduce sample rate to save power
    tempSens1.setConfig(ONE_SPS_MODE);
    
    // check config register was set correctly
    printf("Config: 0x%x\n", tempSens1.getConfig());
    
    // get temperature every two seconds
    while (1) {
    printf("Deg C %f\n", tempSens1.getTemp());
    wait(2);
    }
}